Retrieve a single contract

Retrieves the full record for a specific contract by contract_id, including status, compensation, worker details, and metadata. Pass expand=cost_centers or expand=custom_fields as a query parameter to include additional data in the response.

Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Unique identifier of the contract.

Query parameters

expandlist of enumsOptional

Include additional fields in the response. Multiple values can be passed as comma-separated list.

Allowed values:

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error